SYSTEMD-REPORT(1)

BEZEICHNUNG
systemd-report - Erstellt einen Bericht über Systemmetriken

ÜBERSICHT

systemd-report [OPTIONEN…]

BESCHREIBUNG

Hinweis: Dieser Befehl ist derzeit experimentell. Wahrscheinlich wird er ein regulärer Bestandteil von Systemd, aber er könnte sein Verhalten und seine Schnittstelle noch ändern.

systemd-report ermittelt Metriken über das System und schreibt sie in die Standardausgabe.

BEFEHLE

Die folgenden Befehle werden verstanden:

metrics [VERGLEICH…]
    Erlangt eine Liste von Metrikwerten von allen lokalen Diensten, die sie anbieten und schreibt sie in die Standardausgabe. Akzeptiert optional einen oder mehrere Vergleichsausdrücke, um die anzuzeigenden Metriken zu filtern. Der Ausdruck kann entweder ein zu suchender wörtlicher Metrikfamilienname sein oder ein Präfix davon (der nur an den Punktgrenzen passen wird). Wenn mehrere Vergleiche als mehrere Parameter angegeben werden, wird jede Metrik, die auf einen der angegebenen Vergleiche passt, angezeigt.

    Hinzugefügt in Version 260.

describe [VERGLEICH…]
    Erlangt eine Liste von Metrikfamilien von allen lokalen Diensten, die sie bereitstellen, und schreibt sie in die Standardausgabe. Dies liefert primär statische Informationen über Metriken, ihre Datentypen und menschenlesbare Beschreibungen ohne Werte zurück.

    Match expressions supported by metrics are supported by describe too.

    Hinzugefügt in Version 260.

generate [VERGLEICH…]
    Acquire a list of metrics and build a JSON report.

    Match expressions supported by metrics are supported here too.

    Hinzugefügt in Version 261.

upload [VERGLEICH…]
    This command can be used to send the report built by generate to an external server. Two upload mechanisms are supported. If an "http://" or "https://" URL is specified with --url=, an HTTP upload will be performed to the specified location. Otherwise, any sockets under /run/systemd/metrics-upload/ will be used to call io.systemd.Report.Upload().

    Match expressions supported by metrics are supported here too.

    Hinzugefügt in Version 261.

list-sources
    Zeigt eine Liste der bekannten Metrikquellen.

    Hinzugefügt in Version 260.

OPTIONEN

Die folgenden Optionen werden verstanden:

--system, --user
    Fragt systembezogene Metrikquellen ab (die Vorgabe) oder die benutzerbezogenen Metrikquellen.

    Hinzugefügt in Version 260.

--no-pager
    Leitet die Ausgabe nicht an ein Textanzeigeprogramm weiter.

--json=MODUS
    Zeigt die Ausgabe als JSON formatiert. Erwartet entweder »short« (für die kürzest mögliche Ausgabe ohne unnötigen Leerraum oder Zeilenumbrüche), »pretty« (für eine schönere Version der gleichen Ausgabe, mit Einzügen und Zeilenumbrüchen) oder »off« (um die JSON-Ausgabe auszuschalten, was die Vorgabe ist).

-j
    Äquivalent zu --json=pretty bei der Ausführung in einem Terminal, ansonsten --json=short.

--no-legend
    Gibt die Legende nicht aus, d.h. die Spaltenköpfe und die Fußzeile mit Hinweisen.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--url=URL
    Upload the collected report to the specified address instead of writing it to standard output. URL must point to a server accepting POST requests with a JSON-formatted report body.

    Note: both "http://" and "https://" URLs are supported, but connections over plain HTTP are made without encryption. Thus, this mode should only be used in specific situations where integrity and confidentiality of the report is not required or is ensured through some other means. Using "https://" is recommended.

    Hinzugefügt in Version 261.

--key=DATEINAME
    Takes a path to a SSL key file in PEM format, used for client certificate authentication when uploading. Can also be set to "-", to disable client certificate authentication. Defaults to /etc/ssl/private/systemd-report.pem.

    Hinzugefügt in Version 261.

--cert=DATEINAME
    Takes a path to a SSL certificate file in PEM format, used for client certificate authentication when uploading. Defaults to /etc/ssl/certs/systemd-report.pem.

    Hinzugefügt in Version 261.

--trust=DATEINAME|all
    Takes a path to a SSL CA certificate file in PEM format used to verify the server certificate, or the literal string all to disable certificate checking entirely. Defaults to /etc/ssl/ca/trusted.pem.

    Hinzugefügt in Version 261.

--network-timeout=SEK
    Timeout for the network upload operation. Takes a value in seconds (or in other time units if suffixed with "ms", "min", "h", etc.); see systemd.time(7) for details. Defaults to 30 seconds.

    Hinzugefügt in Version 261.

--extra-header=NAME: WERT
    Inject an additional HTTP header into the upload request. May be specified multiple times to add several headers. Passing an empty string clears any headers added by previous --extra-header= uses.

    Hinzugefügt in Version 261.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).